# sysproto.h File Reference

`#include <sys/signal.h>`
`#include <sys/thread.h>`

Include dependency graph for sysproto.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | close_args
struct | fcntl_args
struct | fstat_args
struct | getdtablesize_args
struct | getgid_args
struct | getpid_args
struct | gettimeofday_args
struct | getuid_args
struct | ioctl_args
struct | issetugid_args
struct | mmap_args
struct | munmap_args
struct | obreak_args
struct | open_args
struct | pipe_args
struct | read_args
struct | readlink_args
struct | setitimer_args
struct | sigaction_args
struct | sigprocmask_args
struct | sysctl_args
struct | write_args

## Defines

#define | PAD_(t)
#define | PADL_(t) 0
#define | PADR_(t) PAD_(t)

## Typedefs

typedef int | register_t

## Functions

int | setitimer (struct thread *td, struct setitimer_args *uap)
| place holder for now functionality to be added later
int | sys_open (struct thread *td, struct open_args *uap)
| entry point for open syscall
int | sys_write (struct thread *td, struct write_args *uap)

## Define Documentation

#define PAD_ | ( | t |  | ) |

Value:

    (sizeof(register_t) <= sizeof(t) ? \
                    0 : sizeof(register_t) - sizeof(t))

Definition at line 38 of file sysproto.h.

#define PADL_ | ( | t |  | ) | 0

Definition at line 42 of file sysproto.h.

#define PADR_ | ( | t |  | ) | PAD_(t)

Definition at line 43 of file sysproto.h.

## Typedef Documentation

typedef int register_t

Definition at line 36 of file sysproto.h.

## Function Documentation

int setitimer | ( | struct thread * | td,
|  | struct setitimer_args * | uap |
| ) |  |  |

place holder for now functionality to be added later

Definition at line 149 of file gen_calls.c.

int sys_open | ( | struct thread * | td,
|  | struct open_args * | uap |
| ) |  |  |

entry point for open syscall

Parameters:

  | *td | pointer to callers thread
  | *uap | pointer to user space arguements for call

Returns:
  index to file descriptor

Definition at line 148 of file vfs.c.

References falloc(), file::fd, fopen(), file::path, open_args::path, strcpy, and thread::td_retval.

Here is the call graph for this function:

int sys_write | ( | struct thread * | td,
|  | struct write_args * | uap |
| ) |  |  |

Definition at line 67 of file gen_calls.c.

References write_args::buf, write_args::fd, kfree(), kmalloc(), kprintf(), memcpy(), write_args::nbyte, taskStruct::td, and thread::td_retval.

Here is the call graph for this function: